Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::IDebugCaptureSession Class Reference
CaptureSession | Ext::DebugCaptureSession

Interface used to dump CaptureSession runtime information. More...

`#include <DebugCaptureSession.h>`

Inheritance diagram for Argus::Ext::IDebugCaptureSession:

List of all members.

## Public Member Functions
virtual Status | dump (int32_t fd) const =0
| Returns session runtime information to the specified file descriptor.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IDebugCaptureSession ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface used to dump CaptureSession runtime information.

Definition at line 63 of file DebugCaptureSession.h.

## Constructor & Destructor Documentation

Argus::Ext::IDebugCaptureSession::~IDebugCaptureSession | ( |  | ) |
| inline protected

Definition at line 74 of file DebugCaptureSession.h.

## Member Function Documentation

virtual Status Argus::Ext::IDebugCaptureSession::dump | ( | int32_t | fd | ) | const
| pure virtual

Returns session runtime information to the specified file descriptor.

static const InterfaceID& Argus::Ext::IDebugCaptureSession::id | ( |  | ) |
| inline static

Definition at line 66 of file DebugCaptureSession.h.

The documentation for this class was generated from the following file:

- include/Argus/Ext/DebugCaptureSession.h